Security Enhanced Linux Reference Policy

# Layer: contrib

## Module: smokeping

Interfaces

### Description:

Smokeping network latency measurement.

### Interfaces:

smokeping_admin( domain , role )

##### Summary

All of the rules required to administrate a smokeping environment.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | Role allowed access.

smokeping_domtrans( domain )

##### Summary

Execute a domain transition to run smokeping.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

smokeping_getattr_lib_files( domain )

##### Summary

Get attributes of smokeping lib files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

smokeping_initrc_domtrans( domain )

##### Summary

Execute smokeping init scripts in the initrc domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

smokeping_manage_lib_files( domain )

##### Summary

Create, read, write, and delete smokeping lib files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

smokeping_manage_pid_files( domain )

##### Summary

Create, read, write, and delete smokeping pid files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

smokeping_read_lib_files( domain )

##### Summary

Read smokeping lib files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

smokeping_read_pid_files( domain )

##### Summary

Read smokeping pid files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return